Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class RDFTest

    java.lang.Object
      com.hp.hpl.jena.vocabulary.RDFTest

    public class RDFTest

extends java.lang.Object

The vocabulary used by the RDFCore working group to define test manifests.

Vocabulary definitions from file:data/testOntology.rdf

Author:
  Auto-generated by schemagen on 12 Sep 2003 17:17

Field Summary
`static Property` | `approval` Contains a reference to the minutes of the WG meeting where the test case status was last changed.
`static Property` | `conclusionDocument` A conclusion document of an entailment.
`static Property` | `description` A human-readable summary of the test case.
`static Property` | `discussion` Contains a pointer to other discussion surrounding this test case or the associated issue.
`static Property` | `document` A test case document for a miscellaneous test.
`static Property` | `entailmentRules` The rules for determining entailment - presently RDF alone or RDF and RDFS; in addition, the requirement for datatype support machinery can be indicated.
`static Property` | `inputDocument` A test case input document.
`static Property` | `issue` Contains a pointer to the associated issue, such as is listed on the RDF Core WG Tracking document.
`static Resource` | `MiscellaneousTest` This manifest entry is used to describe test cases that do not fall into one of the categories.
`static Resource` | `NAMESPACE` The namespace of the vocabalary as a resource
`static Resource` | `NegativeEntailmentTest` These tests consist of one or more premise documents, and a consequent document.
`static Resource` | `NegativeParserTest` These tests consist of one input document.
`static java.lang.String` | `NS` The namespace of the vocabalary as a string ("http://www.w3.org/2000/10/rdf-tests/rdfcore/testSchema#")
`static Resource` | `NT_Document`
`static Property` | `outputDocument` A test case output document
`static Resource` | `PositiveEntailmentTest` These tests are specified by one or more premise documents (in RDF/XML or N-Triples) together with a single conclusion document.
`static Resource` | `PositiveParserTest` These tests consist of one (or more) input documents in RDF/XML as revised.
`static Property` | `premiseDocument` A premise document of an entailment.
`static Resource` | `RDF_XML_Document`
`static Property` | `status` Indicates the status of the test within a process, such as the RDF Core WG process.
`static Property` | `warning` Indicates that while the test should pass, it may generate a warning.

Constructor Summary
`RDFTest()`

Method Summary
`static java.lang.String` | `getURI()` The namespace of the vocabalary as a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  The namespace of the vocabalary as a string ("http://www.w3.org/2000/10/rdf-tests/rdfcore/testSchema#")

  See Also:
    Constant Field Values

### NAMESPACE

    public static final Resource NAMESPACE

  The namespace of the vocabalary as a resource

### approval

    public static final Property approval

  Contains a reference to the minutes of the WG meeting where the test case status was last changed.

### description

    public static final Property description

  A human-readable summary of the test case.

### discussion

    public static final Property discussion

  Contains a pointer to other discussion surrounding this test case or the associated issue.

### entailmentRules

    public static final Property entailmentRules

  The rules for determining entailment - presently RDF alone or RDF and RDFS; in addition, the requirement for datatype support machinery can be indicated.

### inputDocument

    public static final Property inputDocument

  A test case input document.

### issue

    public static final Property issue

  Contains a pointer to the associated issue, such as is listed on the RDF Core WG Tracking document.

### outputDocument

    public static final Property outputDocument

  A test case output document

### status

    public static final Property status

  Indicates the status of the test within a process, such as the RDF Core WG process.

### warning

    public static final Property warning

  Indicates that while the test should pass, it may generate a warning.

### premiseDocument

    public static final Property premiseDocument

  A premise document of an entailment.

### conclusionDocument

    public static final Property conclusionDocument

  A conclusion document of an entailment.

### document

    public static final Property document

  A test case document for a miscellaneous test.

### MiscellaneousTest

    public static final Resource MiscellaneousTest

  This manifest entry is used to describe test cases that do not fall into one of the categories. It may have several associated files, indicated in elements.

### NT_Document

    public static final Resource NT_Document

### NegativeEntailmentTest

    public static final Resource NegativeEntailmentTest

  These tests consist of one or more premise documents, and a consequent document. An inference engine is considered to pass the test if it correctly holds that the expressions in the premise documents do not entail those in the the conclusion document.

### NegativeParserTest

    public static final Resource NegativeParserTest

  These tests consist of one input document. The document is not legal RDF/XML. A parser is considered to pass the test if it correctly holds the input document to be in error.

### PositiveEntailmentTest

    public static final Resource PositiveEntailmentTest

  These tests are specified by one or more premise documents (in RDF/XML or N-Triples) together with a single conclusion document. In addition, the rules used for determining entailment are specified by test:entailmentRules elements.

### PositiveParserTest

    public static final Resource PositiveParserTest

  These tests consist of one (or more) input documents in RDF/XML as revised. The expected result is defined using the N-Triples syntax.

### RDF_XML_Document

    public static final Resource RDF_XML_Document

Constructor Detail

### RDFTest

    public RDFTest()

Method Detail

### getURI

    public static java.lang.String getURI()

  The namespace of the vocabalary as a string

  See Also:
    `NS`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP